
function eeepc_notify {
  . /etc/lsb-release

  if [ ! "$NO_NOTIFY" = "1" ]; then

    ICON=$2
    MESSAGE=$1

    if [ "$(pidof ksmserver)" ]; then
      DISPLAY=:0.0 /usr/bin/kdialog --display :0 --passivepopup "$MESSAGE" 2 2>/dev/null
    else
      if [ "$DISTRIB_RELEASE" = "9.10" ]; then
        DISPLAY=:0.0 /usr/bin/notify-send -i $ICON -t 500 "$MESSAGE" 2>/dev/null
      else
        EEE_USER=$(who | sed -n '/ (:0[\.0]*)$\| :0 /{s/ .*//p;q}')
        if [ ! "$(whoami)" = "$EEE_USER" ]; then
          su $EEE_USER -l -c "DISPLAY=:0.0 /usr/bin/notify-send -i $ICON -t 500 \"$MESSAGE\" 2>/dev/null"
        else
          /usr/bin/notify-send -i $ICON -t 500 "$MESSAGE" 2>/dev/null
        fi
      fi
    fi
  fi
}
