#!/bin/bash
#
# Simple script to stpo services in ondemand or powersave modes
# Andrew Wyatt
#

. /etc/default/eeepc-acpi
if [ -e "/etc/default/eeepc-acpi.local" ]; then
  . /etc/default/eeepc-acpi.local
fi

if [ -e "$EEEPC_VAR/hardware" ]; then
  . $EEEPC_VAR/hardware
fi

if [ "$PAUSE_SERVICES" ]; then
  for SERVICE in ${PAUSE_SERVICES[@]}; do
    if [ -e "/etc/init.d/$SERVICE" ]; then
      if [[ "$(/etc/init.d/$SERVICE status | grep running)" =~  "running" ]]; then
        /etc/init.d/$SERVICE stop >/dev/null 2>&1 || true
      fi
    fi
  done
fi
